> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/product-model-setup/changelog.md).

# Changelog

The changelog is an overview of all transactions made within PIM. Every transaction is logged with a date, time, transaction type and username.

You can view or rollback transactions through [Product model setup](/pim3/reference/product-model-setup.md) > [Changelog](/pim3/reference/product-model-setup/changelog.md).

### View transaction

Transactions are shown directly in the changelog page.

### Find transaction

1. Click column header name for Committed, Started, Transactions type or Username.
2. Type value to search for

{% hint style="info" %}
**Tip** When searching in text it defaults to a "Contain" search. If exact match is required wrap the search text in quotes like "text to search for".

Searching in numeric values supports less or greater than like <5 or >10.
{% endhint %}

### Export transactions

1. Select the transactions you want to export
2. Click the "Actions"-button
3. Choose "Export selected"

### View transaction changes

1. Click the transaction you want to view transaction changes for

### Find transaction change

1. View transaction changes
2. Click the search column(s) you want to search, Name or Type
3. Enter your search parameter(s)

### Rollback transaction change

1. View transaction changes
2. Identify the transaction change you want to rollback
3. Click the "Rollback"-button

### Bulk rollback transaction changes

1. View transaction changes
2. Select the transaction changes you want to rollback
3. Click the "Actions"-button
4. Choose "Rollback selected"

### Export transaction changes

1. View transaction changes
2. Select the transaction changes you want to export
3. Click the "Actions"-button
4. Choose "Export selected"


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/product-model-setup/changelog.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
